Chromium Code Reviews
Help | Chromium Project | Sign in
(16)

Issue 11364066: [Autofill] Show a warning if the form disables Autofill. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 3 months ago by Ilya Sherman
Modified:
2 years, 3 months ago
Reviewers:
Dan Beam, Evan Stade
CC:
chromium-reviews, dhollowa+watch_chromium.org, dbeam+watch-autofill_chromium.org, darin-cc_chromium.org, dyu1, Albert Bodenhamer, estade+watch_chromium.org, Ilya Sherman
Visibility:
Public.

Description

[Autofill] Show a warning if the form disables Autofill. BUG=159291 TEST=(see bug) Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=166164

Patch Set 1 #

Patch Set 2 : Moar comment #

Total comments: 2

Patch Set 3 : Case-insensitivity + test #

Total comments: 8

Patch Set 4 : De-nitting #

Patch Set 5 : LowerCaseEqualsASCII #

Unified diffs Side-by-side diffs Delta from patch set Stats (+70 lines, -10 lines) Patch
M chrome/renderer/autofill/autofill_agent.h View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M chrome/renderer/autofill/autofill_agent.cc View 1 2 3 4 2 chunks +22 lines, -9 lines 0 comments Download
M chrome/renderer/autofill/autofill_renderer_browsertest.cc View 1 2 3 1 chunk +46 lines, -0 lines 0 comments Download
Commit:

Messages

Total messages: 11 (0 generated)
Ilya Sherman
2 years, 3 months ago (2012-11-03 03:41:56 UTC) #1
Dan Beam
https://chromiumcodereview.appspot.com/11364066/diff/3001/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://chromiumcodereview.appspot.com/11364066/diff/3001/chrome/renderer/autofill/autofill_agent.cc#newcode611 chrome/renderer/autofill/autofill_agent.cc:611: if (element.getAttribute("autocomplete") == ASCIIToUTF16("off") || does this need to ...
2 years, 3 months ago (2012-11-03 03:56:20 UTC) #2
Ilya Sherman
https://chromiumcodereview.appspot.com/11364066/diff/3001/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://chromiumcodereview.appspot.com/11364066/diff/3001/chrome/renderer/autofill/autofill_agent.cc#newcode611 chrome/renderer/autofill/autofill_agent.cc:611: if (element.getAttribute("autocomplete") == ASCIIToUTF16("off") || On 2012/11/03 03:56:21, Dan ...
2 years, 3 months ago (2012-11-06 02:14:43 UTC) #3
Dan Beam
lgtm w/nits & comment https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_agent.cc#newcode612 chrome/renderer/autofill/autofill_agent.cc:612: StringToLowerASCII(string16(element.getAttribute("autocomplete"))); I'm confused by these ...
2 years, 3 months ago (2012-11-06 02:22:17 UTC) #4
Dan Beam
https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_renderer_browsertest.cc File chrome/renderer/autofill/autofill_renderer_browsertest.cc (right): https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_renderer_browsertest.cc#newcode176 chrome/renderer/autofill/autofill_renderer_browsertest.cc:176: TEST_F(ChromeRenderViewTest, ShowAutofillWarning) { btw, I don't have a ton ...
2 years, 3 months ago (2012-11-06 02:24:11 UTC) #5
Ilya Sherman
https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_agent.cc#newcode612 chrome/renderer/autofill/autofill_agent.cc:612: StringToLowerASCII(string16(element.getAttribute("autocomplete"))); On 2012/11/06 02:22:17, Dan Beam wrote: > I'm ...
2 years, 3 months ago (2012-11-06 03:45:08 UTC) #6
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/11364066/9001
2 years, 3 months ago (2012-11-06 03:46:27 UTC) #7
Evan Stade
https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_agent.cc#newcode612 chrome/renderer/autofill/autofill_agent.cc:612: StringToLowerASCII(string16(element.getAttribute("autocomplete"))); On 2012/11/06 03:45:08, Ilya Sherman wrote: > On ...
2 years, 3 months ago (2012-11-06 04:16:27 UTC) #8
Ilya Sherman
https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://chromiumcodereview.appspot.com/11364066/diff/2003/chrome/renderer/autofill/autofill_agent.cc#newcode612 chrome/renderer/autofill/autofill_agent.cc:612: StringToLowerASCII(string16(element.getAttribute("autocomplete"))); On 2012/11/06 04:16:27, Evan Stade wrote: > On ...
2 years, 3 months ago (2012-11-06 04:28:42 UTC) #9
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/11364066/5003
2 years, 3 months ago (2012-11-06 04:28:52 UTC) #10
I haz the power (commit-bot)
2 years, 3 months ago (2012-11-06 07:03:46 UTC) #11
Change committed as 166164
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87e6a26